Metadata-Version: 2.4
Name: binject
Version: 1.0.0
Summary: Binject: inject shared object to apk
Author-email: Praveen P <prvnyoutub@gmail.com>
Project-URL: Homepage, https://github.com/prvnprk/binject
Classifier: Programming Language :: Python :: 3
Classifier: Operating System :: OS Independent
Requires-Python: >=3.7
Description-Content-Type: text/markdown
Requires-Dist: rich
Requires-Dist: androguard

# Binject
inject shared object to an apk

## Install:

```bash
pip install binject 
```

## Usage:


```bash
usage: binject [-h] [--arch ARCH] <apk_path> <so_path>

Binject: inject shared object to apk

positional arguments:
  <apk_path>   path to target apk
  <so_path>    path to target so

options:
  -h, --help   show this help message and exit
  --arch ARCH  target architecture (default: arm64-v8a, options: armeabi-v7a, x86, etc)


```
